<!DOCTYPE html>
<html>

<body>
    <pre> Hãy tạo bảng dữ liệu nhân viên</pre>
    <table id="list-table" calss="table text-center table-striped">
        <thead>
            <tr>
                <th> ID </th>
                <th> First Name </th>
                <th> Last Name </th>
                <th> picture </th>
            </tr>
        </thead>
        <tbody>

        </tbody>
    </table>
</body>
<script>
    // đây là dữ liệu dùng tạo bảng
    var gEmployeeList = `{
        "employees": {
            "employee": [
            {
                "id": "1",
                "firstName": "Tom",
                "lastName": "Cruise",
                "photo": "https://jsonformatter.org/img/tom-cruise.jpg"
            },
            {
                "id": "2",
                "firstName": "Maria",
                "lastName": "Sharapova",
                "photo": "https://jsonformatter.org/img/Maria-Sharapova.jpg"
            },
            {
                "id": "3",
                "firstName": "Robert",
                "lastName": "Downey Jr.",
                "photo": "https://jsonformatter.org/img/Robert-Downey-Jr.jpg"
            }
            ]
        }
        }`

    var vEmployList = JSON.parse(gEmployeeList).employees.employee;
    var vTbody = document.querySelector("#list-table tbody");
    vEmployList.forEach(function (employee) {
        var vNewRow = document.createElement("tr");
        vNewRow.innerHTML =
            ` <td>${employee.id}</td>
            <td>${employee.firstName}</td>
            <td>${employee.lastName}</td>
            <td><img src="${employee.photo}" alt="Employee Photo" style="width: 70px; height: 70px;"></td>
             `;
        vTbody.appendChild(vNewRow);

    });

</script>

</html>